Skip to content

List Reports With History.

GET
/api/shape/csd/namespaces/{namespace}/reports-history
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/reports-history \
--header 'Authorization: <Authorization>'

List report configurations with their generation job history.

Examples of this operation.

namespace
required
string

Namespace Namespace.

A successful response.

Media typeapplication/json
ListReportsWithHistoryResponse

Response with report configurations and their generation job history.

object
reports
reports

List of report configurations with history.

Array<object>
ReportWithHistory

Report configuration with its generation job history.

object
completed_at
completed_at

Report completion timestamp.

string format: date-time
<= 1024 characters
created_at
created_at

Creation timestamp.

string format: date-time
<= 1024 characters
created_by
created_by

User who created the report.

string
<= 1024 characters
job_id
job_id

Report generation job identifier.

string
<= 1024 characters
namespace
namespace

Namespace

string
>= 1 characters <= 63 characters /^[a-z]([-a-z0-9]*[a-z0-9])?$/
report_criteria
object
affected_users
object
end_time
end_time

Format: unix epoch timestamp in seconds Fetch users whose timestamp <= end_time.

string
<= 1024 characters
filters
filters

Additional filters for the query.

Array<object>
ReportFilter

Filter definition for report criteria.

object
column_name
column_name

Column name to filter.

string
<= 1024 characters
operator
string
default: REPORT_FILTER_OPERATOR_UNSPECIFIED
Allowed values: REPORT_FILTER_OPERATOR_UNSPECIFIED REPORT_FILTER_OPERATOR_IN REPORT_FILTER_OPERATOR_NOT_IN
values
values

Filter values.

Array<string>
script_id
script_id

Script ID to filter affected users by.

string
<= 1024 characters
start_time
start_time

Format: unix epoch timestamp in seconds Fetch users whose timestamp >= start_time.

string
<= 1024 characters
scripts
object
end_time
end_time

Format: unix epoch timestamp in seconds Fetch scripts whose timestamp <= end_time.

string
<= 1024 characters
filters
filters

Additional filters for the query.

Array<object>
ReportFilter

Filter definition for report criteria.

object
column_name
column_name

Column name to filter.

string
<= 1024 characters
operator
string
default: REPORT_FILTER_OPERATOR_UNSPECIFIED
Allowed values: REPORT_FILTER_OPERATOR_UNSPECIFIED REPORT_FILTER_OPERATOR_IN REPORT_FILTER_OPERATOR_NOT_IN
values
values

Filter values.

Array<string>
start_time
start_time

Format: unix epoch timestamp in seconds Fetch scripts whose timestamp >= start_time.

string
<= 1024 characters
report_id
report_id

Report identifier.

string
<= 1024 characters
report_name
report_name

Human-readable name for the report.

string
<= 1024 characters
report_type
string
default: REPORT_TYPE_UNSPECIFIED
Allowed values: REPORT_TYPE_UNSPECIFIED REPORT_TYPE_SCRIPTS REPORT_TYPE_AFFECTED_USERS
status
string
default: REPORT_STATUS_UNSPECIFIED
Allowed values: REPORT_STATUS_UNSPECIFIED REPORT_STATUS_QUEUED REPORT_STATUS_IN_PROGRESS REPORT_STATUS_COMPLETED REPORT_STATUS_ERRORED REPORT_STATUS_TIMED_OUT
Example
{
"reports": [
{
"report_criteria": {
"affected_users": {
"filters": [
{
"operator": "REPORT_FILTER_OPERATOR_UNSPECIFIED"
}
]
},
"scripts": {
"filters": [
{
"operator": "REPORT_FILTER_OPERATOR_UNSPECIFIED"
}
]
}
},
"report_type": "REPORT_TYPE_UNSPECIFIED",
"status": "REPORT_STATUS_UNSPECIFIED"
}
]
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example